From e92457caff5d97731a711fa1fea68228e66bd361 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Sun, 15 Jan 2023 02:04:50 +0700
Subject: [PATCH] Use cblas_openblas.h


diff --git a/examples/validate.c b/examples/validate.c
index 5871050..c2399c7 100644
--- a/examples/validate.c
+++ b/examples/validate.c
@@ -40,7 +40,7 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <math.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 
 static inline double squ(double x)
 {
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 7cb2bf2..6856d40 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -248,23 +248,23 @@ if (MKL_SET_NUM_THREADS_LOCAL_FOUND)
     find_header_file (MKL_INCLUDE_PATH mkl.h "MKL include path" FATAL_ERROR)
 endif ()
 
-find_header_file (BLAS_INCLUDE_PATH cblas.h "BLAS include path" FATAL_ERROR)
+find_header_file (BLAS_INCLUDE_PATH cblas_openblas.h "BLAS include path" FATAL_ERROR)
 
 if (OPENBLAS_SET_NUM_THREADS_FOUND)
     check_symbol_exists (
-        openblas_set_num_threads cblas.h OPENBLAS_SET_NUM_THREADS_IN_HEADER)
+        openblas_set_num_threads cblas_openblas.h OPENBLAS_SET_NUM_THREADS_IN_HEADER)
     if (NOT OPENBLAS_SET_NUM_THREADS_IN_HEADER)
         message (
-            FATAL_ERROR "openblas_set_num_threads is not defined in cblas.h")
+            FATAL_ERROR "openblas_set_num_threads is not defined in cblas_openblas.h")
     endif ()
 endif ()
 
 if (GOTO_SET_NUM_THREADS_FOUND)
     check_symbol_exists (
-        goto_set_num_threads cblas.h GOTO_SET_NUM_THREADS_IN_HEADER)
+        goto_set_num_threads cblas_openblas.h GOTO_SET_NUM_THREADS_IN_HEADER)
     if (NOT GOTO_SET_NUM_THREADS_IN_HEADER)
         message (
-            FATAL_ERROR "goto_set_num_threads is not defined in cblas.h")
+            FATAL_ERROR "goto_set_num_threads is not defined in cblas_openblas.h")
     endif ()
 endif ()
 
diff --git a/src/common/math.c b/src/common/math.c
index 16b4ee0..5cc0fd0 100644
--- a/src/common/math.c
+++ b/src/common/math.c
@@ -44,7 +44,7 @@
 #include "sanity.h"
 #include <stddef.h>
 #include <string.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 
 int starneig_largers_factor(int a, int b)
 {
diff --git a/src/common/node.c b/src/common/node.c
index 68f6173..ca3d44c 100644
--- a/src/common/node.c
+++ b/src/common/node.c
@@ -55,7 +55,7 @@
 #endif
 #if defined(OPENBLAS_SET_NUM_THREADS_FOUND) || \
 defined(GOTO_SET_NUM_THREADS_FOUND)
-#include <cblas.h>
+#include <cblas_openblas.h>
 #endif
 
 static struct {
diff --git a/src/common/sanity.h b/src/common/sanity.h
index 92d9aa3..bca8f0e 100644
--- a/src/common/sanity.h
+++ b/src/common/sanity.h
@@ -49,7 +49,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <math.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 
 ///
 /// @brief Reports a sanity check error. Aborts the program.
diff --git a/src/eigenvectors/generalized/interface.c b/src/eigenvectors/generalized/interface.c
index 2921eda..4dfdd31 100644
--- a/src/eigenvectors/generalized/interface.c
+++ b/src/eigenvectors/generalized/interface.c
@@ -41,7 +41,7 @@
 #include "../common/common.h"
 #include "../common/node_internal.h"
 #include <starneig/gep_sm.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <stdlib.h>
 #include <starpu.h>
 
diff --git a/src/eigenvectors/standard/cpu.c b/src/eigenvectors/standard/cpu.c
index b968012..30b961d 100644
--- a/src/eigenvectors/standard/cpu.c
+++ b/src/eigenvectors/standard/cpu.c
@@ -45,7 +45,7 @@
 #include "../../common/common.h"
 #include "../../common/tiles.h"
 #include <starpu.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <math.h>
 #include <stdlib.h>
 #include <stdio.h>
diff --git a/src/eigenvectors/standard/interface.c b/src/eigenvectors/standard/interface.c
index df42b5f..7cbdf58 100644
--- a/src/eigenvectors/standard/interface.c
+++ b/src/eigenvectors/standard/interface.c
@@ -47,7 +47,7 @@
 #include "../../common/node_internal.h"
 #include "../../common/matrix.h"
 #include <starneig/sep_sm.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <stdlib.h>
 #include <starpu.h>
 #include <math.h>

diff --git a/src/wrappers/lapack.c b/src/wrappers/lapack.c
index e4afb77..687bf64 100644
--- a/src/wrappers/lapack.c
+++ b/src/wrappers/lapack.c
@@ -40,7 +40,7 @@
 #include "../common/common.h"
 #include "../common/node_internal.h"
 #include <starneig/gep_sm.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <stdlib.h>
 
 __attribute__ ((visibility ("default")))
diff --git a/test/common/threads.c b/test/common/threads.c
index 5a9b58a..3b15bc7 100644
--- a/test/common/threads.c
+++ b/test/common/threads.c
@@ -46,7 +46,7 @@
 #endif
 #if defined(OPENBLAS_SET_NUM_THREADS_FOUND) || \
 defined(GOTO_SET_NUM_THREADS_FOUND)
-#include <cblas.h>
+#include <cblas_openblas.h>
 #endif
 
 static struct {
diff --git a/test/hessenberg/solvers.c b/test/hessenberg/solvers.c
index 8dcf72c..e6c7a98 100644
--- a/test/hessenberg/solvers.c
+++ b/test/hessenberg/solvers.c
@@ -48,7 +48,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <omp.h>
 
 #ifdef MAGMA_FOUND

--- a/src/hessenberg/cpu.c	2023-01-15 22:36:35.000000000 +0800
+++ b/src/hessenberg/cpu.c	2025-04-01 08:53:27.000000000 +0800
@@ -44,7 +44,7 @@
 #include <starpu.h>
 #include <starpu_scheduler.h>
 #include <hwloc.h>
-#include <cblas.h>
+#include <cblas_openblas.h>
 #include <omp.h>
 
 void starneig_hessenberg_cpu_prepare_column(
